<script setup>
    import GuestLayout from '@/Layouts/GuestLayout.vue';
    import MainSlider from '@/Components/Sliders/MainSlider.vue';
    import Game from "@/Components/Games/Game.vue";
    import {Head} from "@inertiajs/vue3";

    const props = defineProps({
        sliders:Object,
        games:Object,
        category:Object
    })

    const games = props.games.data
   console.log(games);
</script>
<template>
    <Head title="ИГРЫ и Приложения" />
    <GuestLayout>
        <MainSlider :sliders="sliders" />
        <section class="block">
            <div class="container">
                <div class="block__inner">
<!--                    <div class="block__line">-->
<!--                        <p class="block__title">ИГРЫ и Приложения</p>-->
<!--                        <swiper-container class="block__buttons-wrapper"-->
<!--                                          :loop="false"-->
<!--                                          :space-between="9"-->
<!--                                          :slides-per-view="'auto'"-->
<!--                                          :scrollbar="{el: '.block__buttons-scrollbar',draggable: true}"-->
<!--                                          :breakpoints="breakpointsTabs" ref="swiper">-->
<!--                            <swiper-slide v-for="tab in items.tags.data">-->
<!--                                <a :class="{active:nowTab === tab}" class="block__buttons-button swiper-slide"-->
<!--                                   @click.prevent="changeTab(tab)"-->
<!--                                   href="#">{{ tab.name }}-->
<!--                                </a>-->
<!--                            </swiper-slide>-->
<!--                        </swiper-container>-->
<!--                        <div class="block__buttons-scrollbar"></div>-->
<!--                    </div>-->
                    <div class="block__content-wrapper">
                        <div>
                            <div class="block__content">
                                <Game :category="category"  v-for="game in games" :game="game" :key="game.id" />
                            </div>
                        </div>
                    </div>
                    <!--                    <div v-if="" class="block__button-wrapper">-->
                    <!--                        <a class="block__button button" href="catalog.html">Смотреть больше</a>-->
                    <!--                    </div>-->
                </div>
            </div>
        </section>

    </GuestLayout>
</template>
